Name: installed-db-school-server
Version: 1.0
Release: alt1.M41.8

Summary: Databases and config files for moodle and mediawiki
License: GPL
Group: Editors
Packager: Alexandra Panyukova <mex3@altlinux.ru>
Source: %name.tar.gz
BuildArch: noarch
BuildRequires: startup
Requires: MySQL-server MySQL-client moodle startup apache2 mediawiki

%description
Databases and config files for moodle and mediawiki

%prep
%setup -q -c

%build

%install

mkdir -p %buildroot/usr/share/%name
install -Dp -m755 %name/mysql-school-server %buildroot%_sysconfdir/firsttime.d/mysql-school-server
install -Dp -m755 %name/wwwroot-httpd2-school-server %buildroot%_sysconfdir/firsttime.d/wwwroot-httpd2-school-server
install -Dp -m755 %name/ldap-school-server %buildroot%_sysconfdir/firsttime.d/ldap-school-server
install -Dp -m755 %name/network-school-server %buildroot%_sysconfdir/firsttime.d/network-school-server
install -Dp -m755 %name/Alterator-dhcp-autosetup.sh %buildroot/usr/bin/alterator-dhcp-autosetup
cp -r %name %buildroot/usr/share
mkdir -p %buildroot/var/www/webapps/mediawiki
ln -s /usr/share/doc/alt-docs/indexhtml/img/project-logo.png %buildroot/var/www/webapps/mediawiki/project-logo.png

%files
/var/www/webapps/mediawiki/project-logo.png
/usr/share/%name
/usr/bin/alterator-dhcp-autosetup
/etc/firsttime.d/*-school-server

%changelog
* Tue Feb 17 2009 Lebedev Sergey <barabashka@altlinux.org> 1.0-alt1.M41.8
- fixed type in ldap-office-server
- fixed ldap data in moodle.sql

* Fri Feb 17 2009 Alexandra Panyukova <mex3@altlinux.ru> 1.0-alt1.M41.7
- hostnames removed from moodle dump
- added hack around samba3.schema

* Fri Feb 13 2009 Alexandra Panyukova <mex3@altlinux.ru> 1.0-alt1.M41.6
- new moodle dump
- moodledata added

* Mon Feb 13 2009 Lebedev Sergey <barabashka@altlinux.org> 1.0-alt1.M41.5
- fixed nfs
- fixed dhcp-autosetup.sh
- renamed some firsttime.d scripts

* Tue Feb 3 2009 Alexandra Panyukova <mex3@altlinux.ru> 1.0-alt1.M41.4
- ldap script fixed

* Mon Feb 2 2009 Alexandra Panyukova <mex3@altlinux.ru> 1.0-alt1.M41.3
- moodle accept all users from ldap

* Mon Jan 12 2009 Alexandra Panyukova <mex3@altlinux.ru> 1.0-alt1.M41.2
- alterator-dhcp-autosetup added
- generation of ldap passwords

* Wed Dec 09 2008 Alexandra Panyukova <mex3@altlinux.ru> 1.0-alt1.M41.1
- security fix

* Wed Jun 18 2008 Alexandra Panyukova <mex3@altlinux.ru> 1.0-alt1.M41.0
- initial build
